# coding: utf-8

import csv                        # ouverure de la bibliothèque csv

import matplotlib.pyplot as plt   # ouverure de la bibliothèque matplotlib.pyplot



t=[]     # initialisations de la liste date







#### récupération des mesures dans les listes t,p et h --------------------------------------------------------------

#### Attention indiquer le nom du fichier de données et son chemin --------------------------------------------------

with open('c:/travail/Nathan/UNITES/Thème 4/unités finalisées/T4U3 smartphone/ascenseur1.csv', newline='') as donnees:

    donnees.readline()

    for m in range(54) :                 # inscrire ici en place de ??? le nombre de mesures effectuées

        mesures=donnees.readline()         # extraction de la premiere serie de mesures les intitulés de colonnes

        mesures=mesures.rstrip('\n')       # suppresion du passage a la ligne

        mesures=mesures.split(sep=';')     # separation des 5 valeurs (t;p;;h;ta;va) separees dans mesures par le caractere ";"

        t.append(float((mesures[0].replace(',','.'))))  # la date est la première donnée des mesures elle a donc 0 pour indice







# ------------------------ tracés ----------------------------------------------------------------------

plt.subplot(2,1,1)

plt.title('pression')

plt.plot(t,p)



plt.subplot(2,1,2)

plt.title('hauteur')

plt.plot(t,h)

plt.show()

